<template>
    <div id="playerPoints">
        <h2>In this round you gained</h2>
        <h2>{{roundPlayerPoints}} points</h2>
    </div>
</template>
<script>
    import axios from 'axios';
    export default {
        name: 'playerPoints',
        data: function () {
            return {
                playerId: this.$route.params.playerId,
                roundId: this.$route.params.roundId,
                roundPlayerPoints: 0
            }
        },
        methods: {
            retrievePlayerPoints() {
                axios.get("https://localhost:44361/api/round/" + this.roundId + "/player/" + this.playerId + "/playerPoints")
                    .then(response => this.roundPlayerPoints = response.data);
            }
        },
        created: function () {
            this.retrievePlayerPoints();
        }
    }
</script>  
<style scoped>
    #playerPoints {
        background: #EEAAD7;
    }
</style>
